Subject: bug#19145: 24.4; prettify-symbols-mode inconsistent behavior

From: Stefan Monnier <[email-masked]>
Date: Sat, 22 Nov 2014 11:23:56 -0500

> Much improved! Of my examples, only one case no longer works which is
> delta_x or foo_x_x_x_x, for example.

This would seem to indicate that the syntax-table of the major-mode in
effect has marked the underscore character with "symbol syntax"
(denoted confusingly enough by an underscore character,
in the `C-u C-x =' help).

Such a setting is appropriate is "delta_x" is one identifier, but not if
it's supposed to be 3 elements (identifier "delta", infix "_", and
identifier "x").

So, is this setting correct (i.e. does your language treat "delta_x" as
a single identifier, and you're trying to prettify subparts of
identifiers)?

        Stefan